## org.eclipse.datatools.modelbase.sql.schema.impl
Class TypedElementImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl

All Implemented Interfaces:
  SQLObject, TypedElement

Direct Known Subclasses:
  AttributeDefinitionImpl, ColumnImpl, FieldImpl, ParameterImpl, SequenceImpl

public abstract class TypedElementImpl
extends SQLObjectImpl
implements TypedElement

An implementation of the model object 'Typed Element'.

The following features are implemented:

- `Contained Type`
- `Referenced Type`

See Also:
  Serialized Form

Method Summary
`UserDefinedType` `basicGetReferencedType()`
`NotificationChain` `basicSetContainedType(SQLDataType newContainedType, NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`SQLDataType` `getContainedType()`
`DataType` `getDataType()`
`UserDefinedType` `getReferencedType()`
`void` `setContainedType(SQLDataType newContainedType)`
`void` `setDataType(DataType newType)`
`void` `setReferencedType(UserDefinedType newReferencedType)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getContainedType

    public SQLDataType getContainedType()

  Specified by:
    `getContainedType` in interface `TypedElement`
  Returns:
    the value of the 'Contained Type' containment reference.
  See Also:
    `TypedElement.setContainedType(SQLDataType)`, `SQLSchemaPackage.getTypedElement_ContainedType()`

### basicSetContainedType

    public NotificationChain basicSetContainedType(SQLDataType newContainedType,
                                                   NotificationChain msgs)

### setContainedType

    public void setContainedType(SQLDataType newContainedType)

  Specified by:
    `setContainedType` in interface `TypedElement`
  Parameters:
    `newContainedType` - the new value of the 'Contained Type' containment reference.
  See Also:
    `TypedElement.getContainedType()`

### getReferencedType

    public UserDefinedType getReferencedType()

  Specified by:
    `getReferencedType` in interface `TypedElement`
  Returns:
    the value of the 'Referenced Type' reference.
  See Also:
    `TypedElement.setReferencedType(UserDefinedType)`, `SQLSchemaPackage.getTypedElement_ReferencedType()`

### basicGetReferencedType

    public UserDefinedType basicGetReferencedType()

### setReferencedType

    public void setReferencedType(UserDefinedType newReferencedType)

  Specified by:
    `setReferencedType` in interface `TypedElement`
  Parameters:
    `newReferencedType` - the new value of the 'Referenced Type' reference.
  See Also:
    `TypedElement.getReferencedType()`

### setDataType

    public void setDataType(DataType newType)

  Specified by:
    `setDataType` in interface `TypedElement`

### getDataType

    public DataType getDataType()

  Specified by:
    `getDataType` in interface `TypedElement`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.